# PSF-LoginServer - master - net.psforever.objects.definition.ObjectDefinition
PSF - LoginServer - master - net.psforever.objects.definition.ObjectDefinition
Keywords: PSF LoginServer master net.psforever.objects.definition.ObjectDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package definition
  Definition Classes
    objects
-  package converter
  Definition Classes
    definition
- AmmoBoxDefinition
- AvatarDefinition
- BaseDeployableDefinition
- BasicDefinition
- CargoDefinition
- ConstructionFireMode
- ConstructionItemDefinition
- DeployAnimation
- DeployableDefinition
- EquipmentDefinition
- ExoSuitDefinition
- ImplantDefinition
- KitDefinition
- ObjectDefinition
- ProjectileDefinition
- SimpleItemDefinition
- SpecialExoSuitDefinition
- ToolDefinition
- VehicleDefinition

c

net.psforever.objects.definition

# ObjectDefinition

###

#### abstract class ObjectDefinition extends BasicDefinition

Associate an object's canned in-game representation with its basic game identification unit. The extension of this `class` would identify the common data necessary to construct such a given game object.
The converter transforms a game object that is created by this `ObjectDefinition` into packet data through method-calls. The field for this converter is a `PacketConverter`, the superclass for `ObjectCreateConverter`; the type of the mutator's parameter is `ObjectCreateConverter` of a wildcard `tparam`; and, the accessor return type is `ObjectCreateConverter[PlanetSideGameObject]`, a minimum-true statement. The actual type of the converter at a given point, casted or otherwise, is mostly meaningless. Casting the external object does not mutate any of the types used by the methods within that object. So long as it is an `ObjectCreatePacket`, those methods can be called correctly for a game object of the desired type.

Source
  ObjectDefinition.scala

Linear Supertypes
BasicDefinition, AnyRef, Any
Known Subclasses
BoomerDeployableDefinition, ExplosiveDeployableDefinition, SensorDeployableDefinition, ShieldGeneratorDefinition, TelepadDeployableDefinition, TrapDeployableDefinition, TurretDeployableDefinition, NonvitalDefinition, AmmoBoxDefinition, AvatarDefinition, ConstructionItemDefinition, DeployableDefinition, EquipmentDefinition, KitDefinition, ProjectileDefinition, SimpleItemDefinition, ToolDefinition, VehicleDefinition, AmsDefinition, AntDefinition, ApcDefinition, CarrierDefinition, DeployingDefinition, RouterDefinition, DoorDefinition, GeneratorDefinition, CaptureFlagDefinition, CaptureFlagSocketDefinition, IFFLockDefinition, LockerDefinition, VehicleSpawnPadDefinition, PainboxDefinition, ResourceSiloDefinition, AmenityDefinition, BuildingDefinition, WarpGateDefinition, GeneratorTerminalDefinition, MatrixTerminalDefinition, MedicalTerminalDefinition, OrderTerminalDefinition, ProximityTerminalDefinition, TerminalDefinition, CaptureTerminalDefinition, ImplantTerminalMechDefinition, SpawnTubeDefinition, FacilityTurretDefinition, InternalTelepadDefinition

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectDefinition
2. BasicDefinition
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ObjectDefinition(objectId: Int)

   objectId

     the object's identifier number

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Descriptor: String
   Definition Classes
     BasicDefinition
5.  def Descriptor_=(description: Option[String]): String
   Definition Classes
     BasicDefinition
6.  def Descriptor_=(description: String): String
   Definition Classes
     BasicDefinition
7.  def DisableAtMaxDepth: Boolean
8.  def DisableAtMaxDepth_=(drowns: Boolean): Boolean
9.  def DrownAtMaxDepth: Boolean
10.  def DrownAtMaxDepth_=(drowns: Boolean): Boolean
11.  def Geometry: (Any) => VolumetricGeometry
12.  def Geometry_=(func: (Any) => VolumetricGeometry): (Any) => VolumetricGeometry
13.  def MaxDepth: Float
14.  def MaxDepth_=(height: Float): Float
15.  def Name: String
    Definition Classes
      BasicDefinition
16.  def Name_=(name: String): String
    Definition Classes
      BasicDefinition
17.  def ObjectId: Int
18.  final def Packet: ObjectCreateConverter[PlanetSideGameObject]

    Get the conversion object.

19.  final def Packet_=(pkt: ObjectCreateConverter[_]): PacketConverter

    Assign this definition a conversion object.

    Assign this definition a conversion object.

    pkt

      the new converter

    returns

      the current converter, after assignment

20.  def ServerSplashTargetsCentroid: Boolean
21.  def ServerSplashTargetsCentroid_=(splash: Boolean): Boolean
22.  def UnderwaterLifespan(suffocation: Long, recovery: Long): Map[OxygenState, Long]
23.  def UnderwaterLifespan(key: OxygenState): Long
24.  def UnderwaterLifespan(): Map[OxygenState, Long]
25.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
26.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
27.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
29.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
30.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
32.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  var packet: PacketConverter

    a data converter for this type of object

    a data converter for this type of object

    Attributes
      protected
37.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
38.  def toString(): String
    Definition Classes
      AnyRef → Any
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from BasicDefinition

### Inherited from AnyRef

### Inherited from Any

### Ungrouped